<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\Hook;

interface HookExecutorInterface
{
    /**
     * @return mixed hook result
     *
     * @throws HookNotFoundException
     */
    public function execute(string $hookName, array $parameters);
}
